Name:           python-bitmapist
Version:        3.116
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Implements a powerful analytics library using Redis bitmaps.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/Doist/bitmapist
Source:         %{pypi_source bitmapist}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'bitmapist' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-bitmapist
Summary:        %{summary}

%description -n python3-bitmapist %_description


%prep
%autosetup -p1 -n bitmapist-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-bitmapist -f %{pyproject_files}


%changelog
%autochangelog